import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;
public class Main {
    public static void main(String[] args) {
        System.out.println("Enter a URL");
        Scanner scanner = new Scanner(System.in);
        String url = scanner.nextLine().trim();

        System.out.println("Fetching " + url);
        String content = null;
        URLConnection connection;

        try {
            connection = new URL("https://"+url).openConnection();
            scanner = new Scanner(connection.getInputStream());
            scanner.useDelimiter("\\Z");
            content = scanner.next();
        }catch ( Exception ex ) {
            ex.printStackTrace();
        }
        System.out.println(content);
    }
}
